commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Field (JIRA)" <j...@apache.org>
Subject [jira] Created: (MATH-275) MANIFEST.MF contains incorrect "Import-Package" OSGi header (makes it unusable for OSGi)
Date Fri, 05 Jun 2009 18:37:07 GMT
MANIFEST.MF contains incorrect "Import-Package" OSGi header (makes it unusable for OSGi)
----------------------------------------------------------------------------------------

                 Key: MATH-275
                 URL: https://issues.apache.org/jira/browse/MATH-275
             Project: Commons Math
          Issue Type: Bug
    Affects Versions: 1.2
            Reporter: Paul Field


The MANIFEST.MF file contains this OSGi header:

Import-Package: org.apache.commons.discovery.tools,
 org.apache.commons.math;version=1.2,
 org.apache.commons.math.analysis;version=1.2,
 org.apache.commons.math.complex;version=1.2,
...

This header defines what the bundle requires from the OSGi runtime and so it shouldn't include
the packages defined in the bundle (i.e. all the org.apache.commons packages). I suspect it
shouldn't include the org.apache.commons.discovery.tools package either as I can't see that
math has a dependency on that (I could be wrong :-) ).

The presence of this header causes the Math library to be unusable as an OSGi bundle in Eclipse
RCP development (and I suspect in any OSGI container).

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message